Package: org.codehaus.groovy.classgen.asm

## [Java] Class VariableSlotLoader

- org.codehaus.groovy.classgen.asm.VariableSlotLoader

-     public class VariableSlotLoader
      extends BytecodeExpression

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BytecodeExpression` | `NOP`
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `VariableSlotLoader(ClassNode type, int index, OperandStack os)`
    `VariableSlotLoader(int index, OperandStack os)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getIndex()`
    `` | `public void` | `visit(org.objectweb.asm.MethodVisitor mv)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BytecodeExpression` | `getText, transformExpression, visit, visit, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public VariableSlotLoader(ClassNode type, int index, OperandStack os)

    - #### public VariableSlotLoader(int index, OperandStack os)

  - ### Method Detail

    - #### public int getIndex()

    - #### @Override
      public void visit(org.objectweb.asm.MethodVisitor mv)